# 示例
from MaxFlow import MaxFlow

if __name__ == "__main__":
    vertices = 6
    g = MaxFlow(vertices)

    # 添加边及其容量
    g.add_edge(0, 1, 16)
    g.add_edge(0, 2, 13)
    g.add_edge(1, 2, 10)
    g.add_edge(1, 3, 12)
    g.add_edge(2, 1, 4)
    g.add_edge(2, 4, 14)
    g.add_edge(3, 2, 9)
    g.add_edge(3, 5, 20)
    g.add_edge(4, 3, 7)
    g.add_edge(4, 5, 4)

    source = 0  # 源点
    sink = 5  # 汇点

    max_flow = g.dinic(source, sink)
    print("最大流为:", max_flow)
